Bug 1284163 - Impressive can't open my test pdf: "The presentation doesn't have any pages"
Impressive can't open my test pdf: "The presentation doesn't have any pages"
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: impressive (Show other bugs)
24
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michael J Gruber
Fedora Extras Quality Assurance
:
Depends On: 1284185
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-21 05:24 EST by Grégoire
Modified: 2017-08-08 08:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:26:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Test slides to reproduce the problem (8.35 KB, application/pdf)
2015-11-21 05:24 EST, Grégoire
no flags Details

  None (edit)
Description Grégoire 2015-11-21 05:24:48 EST
Created attachment 1097454 [details]
Test slides to reproduce the problem

Description of problem:
I have trouble opening presentations with impressive.  With this pdf, generated by xelatex/beamen, it tells me the presentation doesn't have pages although evince opens it without problems and shows me the 2 pages.

Version-Release number of selected component (if applicable):  0.10.4


How reproducible: reproducible


Steps to Reproduce:
1. Save the attached pdf somewhere
2. run `impressive path/to/slides.pdf`

Actual results: It outputs the following before exiting with exit status 1

> Welcome to Impressive version 0.10.4
> Detected screen size: 1280x800 pixels
> Warning: The input file `/home/gregoire/slides.pdf' could not be analyzed.
> The presentation doesn't have any pages, quitting.

Expected results: It should display the slides on the screen

Additional info:
Comment 1 Michael J Gruber 2015-11-21 10:44:06 EST
Since Fedora dumped pdftk without any proper substitute, impressive is left with reduced functionality.

impressive contains its own limited pdf parser which can read pdf 1.4 but not pdf 1.5 (compressed info stream). So, it is functional to some extent (or else I would have had to remove it from Fedora).

I am working on a proper solution.
Comment 2 Michael J Gruber 2015-11-21 18:54:43 EST
So, here is a scratch build to try out for you:

http://koji.fedoraproject.org/koji/taskinfo?taskID=11942218
Comment 3 Grégoire 2015-11-22 05:32:03 EST
(In reply to Michael J Gruber from comment #2)
> So, here is a scratch build to try out for you:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=11942218

Thanks you. I'm sorry, I'm not entirely familiar with koji.  I tried updating impressive from updates-testing but there was not new build available, how can I test this new build?
Comment 4 Fedora End Of Life 2016-11-24 08:37:47 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Grégoire 2016-11-25 08:20:47 EST
Reproduced on Fedora 24
Comment 6 Fedora End Of Life 2017-07-25 15:32:30 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2017-08-08 08:26:55 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.